%define anolis_release 1
Name:    usbutils
Version: 017
Release: %{anolis_release}%{?dist}
Summary: Linux USB utilities
URL:     http://www.linux-usb.org/
License: GPLv2+

Source0: https://www.kernel.org/pub/linux/utils/usb/usbutils/%{name}-%{version}.tar.xz

BuildRequires: make gcc
BuildRequires: libusbx-devel
BuildRequires: systemd-devel
Requires: hwdata

%description
USButils is a collection of tools that are designed to help users interact
with USB devices on a Linux system. These tools provide a range of functions,
including identifying and troubleshooting USB devices, monitoring USB traffic,
and managing USB power.

One of the key tools included in USButils is lsusb, which can be used
to list all the USB devices that are currently connected to the system.
This command provides detailed information about each device, including
vendor and product IDs, device classes, and the driver that is being used.

Another useful tool is usbhid-dump, which allows users to monitor USB
traffic between devices and the host system. This tool can be used to
debug USB communication issues and analyze data transmissions.

USBdevfs is a virtual filesystem that provides users with the ability to
interact with USB devices as if they were regular files. This tool can
be used to read and write data to USB devices and can be used with Python,
Perl, and other scripting languages.

The usbreset command can be used to reset USB devices that are not responding
or behaving abnormally. This command sends a USB-specific control message to
the device, resetting it without requiring the user to physically disconnect
and reconnect the device.

Finally, the udevadm command is used to manage the udev device manager. This
tool is responsible for detecting and configuring new hardware devices on the
system and can be used to create custom udev rules for specific USB devices
or modify existing rules.

Overall, USButils is an essential set of tools for developers and system
administrators who need to work with USB devices on a Linux system. These
tools provide a range of functions that can help users identify, troubleshoot,
and manage USB devices on their system.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure --sbindir=%{_sbindir} --datadir=%{_datadir}/hwdata --disable-usbids
%make_build

%install
%make_install
rm -rf %{buildroot}/%{_libdir}/pkgconfig/usbutils.pc

%generate_compatibility_deps

%files
%dir %{abidir}
%{abidir}/lsusb.py-option.list
%{abidir}/usb-devices-option.list
%{abidir}/usbhid-dump-option.list
%{abidir}/lsusb-option.list
%{_mandir}/*/*
%{_bindir}/*
%license LICENSES/GPL*

%files doc
%doc NEWS

%changelog
* Fri Mar 21 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 017-1
- Update to 017 from 015

* Tue Apr 11 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 015-2
- Update some description

* Fri Mar 17 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 015-1
- update to version 015

* Thu Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 014-2
- add doc package

* Thu Apr 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 014-1
- init from upstream
